#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/ModemManager/0.5/ModemManager-0.5.tar.xz
#
# maintainer: (package seek a maintainers)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="ModemManager"
softversion="0.5"
packageversion="72.1"
arch="i486"
cpu="i686"
srcpkg="$buildir/$soft-$softversion.tar.xz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.txz
rm -rf $dest

cd $src
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"
./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --mandir=/usr/man \
    --disable-static \
    --with-pppd-plugin-dir=/usr/lib/pppd/2.4.5
 
make -j6
make install DESTDIR=$dest

find $dest | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  AUTHORS COPYING INSTALL NEWS README \
$dest/usr/doc/$soft-$softversion

#------------------ make a slack-desc file

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

            |-----handy-ruler--------------------------------------------------|
ModemManager: ModemManager - mobile broadband modem API
ModemManager:
ModemManager: The problem ModemManager tries to solve is to provide a unified 
ModemManager: high level API for communicating with (mobile broadband) modems. 
ModemManager:
ModemManager:
ModemManager: 
ModemManager:
ModemManager:
ModemManager:
ModemManager:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion/

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5